mpt_add_sge
Prev | Fusion message devices | Next

## Name

mpt_add_sge — Place a simple SGE at address pAddr.

## Synopsis

`void mpt_add_sge (` | char * | pAddr,
| u32 | flagslength,
| dma_addr_t | dma_addr`)`;

## Arguments

`pAddr`

  virtual address for SGE

`flagslength`

  SGE flags and data transfer length

`dma_addr`

  Physical address

## Description

This routine places a MPT request frame back on the MPT adapter's FreeQ.

Prev | Up | Next
mpt_free_msg_frame | Home | mpt_send_handshake_request